Collator
Date: 2016-06-24

java.text

## Class Collator

- java.lang.Object
- - java.text.Collator

- All Implemented Interfaces:
    Cloneable, Comparator
  Direct Known Subclasses:
    RuleBasedCollator

      public abstract class Collator
      extends Object
      implements Cloneable, Comparator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CANONICAL_DECOMPOSITION`
    `static int` | `FULL_DECOMPOSITION`
    `static int` | `IDENTICAL`
    `static int` | `NO_DECOMPOSITION`
    `static int` | `PRIMARY`
    `static int` | `SECONDARY`
    `static int` | `TERTIARY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Collator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `int` | `compare(Object var0, Object var1)`
    `abstract int` | `compare(String var0, String var1)`
    `boolean` | `equals(String var0, String var1)`
    `static Locale[]` | `getAvailableLocales()`
    `abstract CollationKey` | `getCollationKey(String var0)`
    `int` | `getDecomposition()`
    `static Collator` | `getInstance()`
    `static Collator` | `getInstance(Locale var0)`
    `int` | `getStrength()`
    `abstract int` | `hashCode()`
    `void` | `setDecomposition(int var0)`
    `void` | `setStrength(int var0)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Field Detail

    - #### CANONICAL_DECOMPOSITION

          public static final int CANONICAL_DECOMPOSITION

      See Also:
        Constant Field Values

    - #### FULL_DECOMPOSITION

          public static final int FULL_DECOMPOSITION

      See Also:
        Constant Field Values

    - #### IDENTICAL

          public static final int IDENTICAL

      See Also:
        Constant Field Values

    - #### NO_DECOMPOSITION

          public static final int NO_DECOMPOSITION

      See Also:
        Constant Field Values

    - #### PRIMARY

          public static final int PRIMARY

      See Also:
        Constant Field Values

    - #### SECONDARY

          public static final int SECONDARY

      See Also:
        Constant Field Values

    - #### TERTIARY

          public static final int TERTIARY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Collator

          protected Collator()

  - ### Method Detail

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### compare

          public int compare(Object var0,
                    Object var1)

      Specified by:
        `compare` in interface `Comparator`

    - #### compare

          public abstract int compare(String var0,
                    String var1)

    - #### equals

          public boolean equals(String var0,
                       String var1)

    - #### getAvailableLocales

          public static Locale[] getAvailableLocales()

    - #### getCollationKey

          public abstract CollationKey getCollationKey(String var0)

    - #### getDecomposition

          public int getDecomposition()

    - #### getInstance

          public static Collator getInstance()

    - #### getInstance

          public static Collator getInstance(Locale var0)

    - #### getStrength

          public int getStrength()

    - #### hashCode

          public abstract int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### setDecomposition

          public void setDecomposition(int var0)

    - #### setStrength

          public void setStrength(int var0)